﻿Praktikumsaufgabe (für 3CP)
=========================================

Entwicklung einer webbasierten Bankapplikation mit Java (JSP und
Tomcat oder Glassfish).

 Es soll eine Browser-Schnittstelle fürs Onlinebanking geschrieben
 werden, damit der Nutzer darüber Zugriff auf seine Konten hat und
 dort Überweisungen tätigen kann. Die folgenden Produktfunktionen
 sollten mindestens in dieser Komponente abgedeckt sein:

  * Anmelden - Authentifizieren beim System
  * Abmelden
  * Kontenübersicht
  * Kontoeröffnung
  * Bankinterne Überweisung - inkl. Abfangen von Fehlern
    (z.B. Kontonummer existiert nicht)

Eine persistente Speicherung der Daten in XML-Dateien (keine
Datenbank) ist notwendig. Außerdem wird die Anwendung von mind. 2
Design Patterns gefordert.

Für die Abgabe der Projekte ist eine Dokumentation angereichert mit
UML-Klassendiagrammen notwendig. Der Einsatz von Design-Patterns ist
zu dokumentieren.

===============================================================================

Alternativ kann eine Applikation für eine andere Branche
(z.B. Reisebüro) geschrieben werden. Die Anforderungen hierfür können
bei Bedarf auch zusammen entwickelt werden.
